// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//  Giuseppe Vacanti (cosine science & computing bv)
//  January  8, 2003
// 
//   $Id: DataSetTest.cc,v 1.1 2003/05/06 08:53:05 gvacanti Exp $

#include<Observation.h>

#include<string>
#include<cassert>

int main() {
    using namespace OdfIngest;
    std::string name("0001_0000010010_M1S00110IME.FIT");
    OdfDataSet ds(name);
    assert(ds.exposure_identifier() == "M1S001");
    assert(ds.start().toString(0) == "2000-04-28T10:40:58");
    assert(ds.end().toString(0) == "2000-04-28T10:49:18");
    assert(ds.has_time());
    assert(ds.scheduled_status() == OdfDataSet::Scheduled);
    assert(ds.type() == OdfDataSet::EVENT_LIST);
}

